<bugID>467582<Summary>Forecastfox addon not available/working for Firefox 3.5</Summary><Description>Hi Richard, 

Checking into see if work is underway to get Forecastfox updated for firefox 3.1.

3.1b2 and 3.1b3pre max versions are now available on AMO.  Let us know if you have any questions or need help.</Description></bugID>